/* test port routine. port 42
0042 r/w PIT  counter 2, cassette & speaker    (XT, AT, PS/2)
From music.com by Mick McManus
*/

#if defined(TC)
#include <dos.h>
#define OUTP(P,VAL) outp((unsigned)P,(unsigned char)VAL)
#define INP(P) inp(P)
#elif defined (DJGPP)
#include <pc.h>
#define OUTP(P,VAL) outp((unsigned short)P,(unsigned char)VAL)
#define INP(P) inp((unsigned short)P)
#endif

main(argc, argv)
int     argc;
char  **argv;
{
int     atoi();
int     k;
unsigned char   a;
char   *s;

if (argc == 1) return usage();
for (argc--, argv++; 0<argc--;argv++) {
    s = *argv;
    if (*s == '-' && *(s+1) == 's') {
        a = INP(0X0061);
        a &=0XFC;
        OUTP(0X0061, a);
        }
    else {
         k = atoi(s);
         OUTP(0X0042, k);
         a = INP(0X0061);
         a|=0X03;
         OUTP(0X0061, a);
         }
    }
return  0;
}

int usage()
{
printf("music {-stop} {-repeat} n1 n2 n3 ...");
return 0;
}



