/* FDATA.H */

#define EV_EXIT  15      /* exit state */
#define EV_ELX    2      /* error state */
#define EV_ALX    3      /* break */
#define EV_FILE   4      /* load file */
#define EV_KBIN   6      /* from key-board */
#define EV_DECOD  7      /* decode */
#define EV_FETCH  8      /* fetch */
#define EV_DO     9      /* do it */

#define F_ABS         '+'
#define F_AND         '&'    
#define F_AV          128    
#define F_BASE        'b'    
#define F_CALL        129    
#define F_CD          130    
#define F_CIELING     'c'    
#define F_CIRCLE      'o'    
#define F_CLOSE       131    
#define F_CMD         132
#define F_COPY        133
#define F_CURSOR      134    
#define F_DBCLOSE     135
#define F_DBGET       136    
#define F_DBNAMES     137    
#define F_DBPUT       138    
#define F_DBSIZE      139    
#define F_DBTIE       140    
#define F_DEB         141    
#define F_DECODE      'n'    
#define F_DEL         142    
#define F_DISK        143    
#define F_DLTB        144    
#define F_DO          'x'    
#define F_DOMINO      145    
#define F_DROP        'd'    
#define F_ENCODE      'b'    
#define F_ENVP        146    
#define F_EQUIV       147    
#define F_EX          148
#define F_FI          149    
#define F_FILES       150
#define F_FIND        'j'    
#define F_FLOOR       'f'
#define F_FMT         'z'    
#define F_GE          151    
#define F_GOTO        'g'    
#define F_INKEY       'k'    
#define F_INLIN       'q'    
#define F_INNER       152    
#define F_INP         153    
#define F_INT         154    
#define F_IOTA        'i'    
#define F_IS          'a'    
#define F_KJARC       155    
#define F_KJBLOC      156    
#define F_KJFILL      157    
#define F_KJGET       158    
#define F_KJPLOT      159    
#define F_KJPUT       160
#define F_KJVEC       161    
#define F_LE          162    
#define F_LOAD        163
#define F_LPRINT      164    
#define F_MATTOSS     165
#define F_MEMBER      'e'    
#define F_MKDIR       166
#define F_MOD         '#'
/* #define F_MOUSE       167 */
#define F_NC          168
#define F_NE          '!'
#define F_NFIND       169
#define F_NL          170
#define F_NXFIND      171
#define F_OPEN        172
#define F_OR          '|'
#define F_OUTER       173
#define F_OUTP        174
#define F_PEEK        175
#define F_PHI         'm'
#define F_PORT        176
#define F_PRINT       177
#define F_QMENU       178
#define F_QUIT        EV_EXIT
#define F_READ        179
#define F_REPRESENT   'n'
#define F_RHO         'r'
#define F_RMDIR       180
#define F_RXFIND      181
#define F_RXSUBS      182
#define F_SAVE        183
#define F_SCREEN      184
#define F_SED         185
#define F_SEEK        186
#define F_SORT        187
#define F_SPLIT       188
#define F_SSTOMAT     189
#define F_TAKE        't'
#define F_THETA       190
#define F_TRANSPOSE   'y'
#define F_TS          191
#define F_USE         192
#define F_VAL         193
#define F_VARPTR      194
#define F_VRAM        195
#define F_WGET        196
#define F_WINDOW      197
#define F_WPUT        198
#define F_WRITE       199
#define F_X           '*'
#define F_ZGETS       200
#define F_ZLOAD       201
#define F_ZPUTS       202
#define F_ZSAVE       203
#define F_IFDEF       204
#define F_IFNDEF      205
#define F_FNAMES      206
#define F_FSIZE       207

#define F_EXP         'p'
#define F_LN          209
#define F_SQRT        210
#define F_FSTAT       211
#define F_ATAN        212
#define F_SOCKET      213
#define F_SLEEP       214
#define F_WHILE       215
#define F_WEND        216
#define F_BREAKIF     217
#define F_REPEATIF    218
#define F_IF          219
#define F_SRAND       220
#define F_FTIME       221



