
/*  Console I/O
*   MS-DOS console IO
*/

#include <htext.h>
#include <na.h>
#include <dos.h>

/* ansi calls replaced by dos to make it work with > 25 rows */

vputch (c)
int     c;
{
union   REGS xx;

if (c == FF)  {         /* filter out clear screen character */
    ww_cls();
    tcur(0, 0);
    return OK;
    }

xx.h.ah = 0X0E;         /* output char in teletype mode */
xx.h.al = c;            /* this character */
xx.x.bx = xx.x.cx = 0;
int86(0X10, &xx, &xx);
return OK;
}

tcur(X,Y)       /* LOCATE X,Y   Text Cursor<-X,Y */
int     X,Y;
{
union   REGS xx;
xx.h.ah = 0X02;         /* set cursor position */
xx.h.al = 0;
xx.x.bx = xx.x.cx = 0;
xx.h.dh = Y;            /* row    Y */
xx.h.dl = X;            /* column X */
int86(0X10, &xx, &xx);
return OK;
}

dos_cur(yx)     /* read cursor */
int    *yx;     /* value - 0 origin */
{
union   REGS xx;
xx.h.ah = 0X03;         /* cursor shape and position */
xx.h.al = 0;
xx.x.bx = xx.x.cx = xx.x.dx = 0;
int86(0X10, &xx, &xx);
*yx     = xx.h.dh;      /* row    Y */
*(yx+1) = xx.h.dl;      /* column X */
return OK;
}

ansi_movcur(k)  /* move cursor */
int     k;      /* + forwards, - back */
{
return dos_movcur(k);
}

dos_movcur(k)   /* move cursor */
int     k;      /* + forwards, - back */
{
union   REGS xx;
if (k == 0) return OK;
xx.h.ah = 0X03;         /* cursor shape and position */
xx.h.al = 0;
xx.x.bx = xx.x.cx = xx.x.dx = 0;
int86(0X10, &xx, &xx);
xx.h.ah = 0X02;         /* set cursor position */
xx.h.al = 0;
xx.x.bx = xx.x.cx = 0;
xx.h.dl += k;            /* column X */
int86(0X10, &xx, &xx);
return OK;
}
