/*

HasciiCam 0.8 - (h)ascii 4 the masses!
(c)2000 denis roio aka jaromil <jaromil@dyne.org>
[ http://ascii.dyne.org ]

Show files output by the hasciicam program.
This program is distrbuted under GNU PUBLIC LICENCE version 2
Tony Goddard M.A. cat@animal.u-ney.com

*/

#include <stdio.h>
#include<dos.h>
#include<io.h>

char   *version_string="hshow 20/6/2001";

char   *usage_text[] = {
"Usage:",
"   hshow -d delay files {-v version}",
"   hshow -c -d delay",
"   -d delay     interframe delay in microseconds",
"   -c           use stdin",
"   -v           verbose. If set, then print more messages.",
"   -a advert    advert file which apears on screen",
"   -t seconds   display advert for t seconds",
"    http://www.d4maths.co.uk",
NULL};

typedef long int      LONG;     /* delay time on fast computers */

#define OK   0
#define ERROR   (-1)


#define BREAK   0X03    /* CTRL-C */

#define DOSKEY  0X00FF & bdos(0X07, NULL, NULL) /* dos inkey */

/*      Unsolicited keyboard input */
#define DOS_ATTN        (0X00FF & bdos(0X06,0XFF, 0))
#define BRAKE   BREAK == DOS_ATTN /* STOP ! */

#define MAXLINE 0X400

LONG    if_delay = 25000L;
char   *linbuf    = NULL;

main(argc, argv)
int argc;
char **argv;

{
extern  char *malloc();
char   *s;
int     rc;
char   *file_name = NULL;
FILE   *infile   = NULL;
int     q_stdin  = 0;
int     qv       = 0;

if (NULL ==(linbuf = malloc(1+MAXLINE)))
   die("memory allocation");

if (argc == 1) {
    cc_msg(usage_text);
    return OK;
    }

for(argv++, argc--; 0 < argc--; argv++) {
    s = *argv;
    if (s[0] == '-') switch(s[1]) {
        case 'C':       /* stdin */
        case 'c':  q_stdin = 1;
            break;
        case 'D':       /* delay */
        case 'd':
                  argc--;
                  argv++;
                  if_delay = atol(*argv);
            break;
        case 'v':       /* verbose    */
        case 'V': qv = 1;
            break;
        default: break;
        }
    else file_name = s;
    }

/*      initialise      */

if (qv) {
    cc_msg(usage_text);
    printf("%s\n", version_string);
    printf("delay=%ld\n", if_delay);
    }

if (q_stdin) {
    infile = stdin;
    }
else if (file_name != NULL) {
    if (qv) printf("input file= %s\n", file_name);
    infile = fopen(file_name, "r");
    }

if (infile == NULL) die("morally currupt input file");

ha_show(infile);

return  OK;
}

die(char *str)
{
printf("error: %s\n", str);
return ERROR;
}

cc_msg(char **text)
{
char  **xp = text;
while (NULL != *xp) printf ("%s\n", *xp++);
return OK;
}

cc_wait(long cnt)        /* short wait */
{
while(cnt > 0) cnt--;
return OK;
}

int ha_show(fd)
FILE   *fd;     /* stream file descriptor */
{
extern  char   *fgets();
extern  char   *memchr();
char   *s, *t;
int     mode = 0;

while (mode != ERROR) {
    s = fgets(linbuf, MAXLINE, fd);
    if (s==NULL) break;
    t = memchr(s, '\n', MAXLINE);
    if (t != NULL) *t = 0;
    else linbuf[80] = 0;
    if (s[0] == 0X0C) tcur(0,0);
    else cprintf("%s\r\n", linbuf);
    cc_wait(if_delay);
    }
return OK;
}

tcur(X,Y)       /* LOCATE X,Y   Text Cursor<-X,Y */
int     X,Y;
{
union   REGS xx;
xx.h.ah = 0X02;         /* set cursor position */
xx.h.al = 0;
xx.x.bx = xx.x.cx = 0;
xx.h.dh = Y;            /* row    Y */
xx.h.dl = X;            /* column X */
int86(0X10, &xx, &xx);
return OK;
}








